Bug 170365 - /usr/include/linux/sockios.h out of date
/usr/include/linux/sockios.h out of date
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 20:33 EDT by Stephen Hemminger
Modified: 2008-01-06 16:22 EST (History)
0 users

See Also:
Fixed In Version: kernel-headers-2.6.23.12-52.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 16:22:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Hemminger 2005-10-10 20:33:32 EDT
Description of problem:
  The version of /usr/include/linux/sockios.h is so old that I can't build
   current bridge-utils.


Version-Release number of selected component (if applicable):


How reproducible:
  build failure

Steps to Reproduce:
1. get current bridge-utils from bridge.sf.net
2. build fails
3.
  
Actual results:


Expected results:


Additional info:

The following are missing:
--- /usr/include/linux/sockios.h        2002-03-18 02:31:33.000000000 -0800
+++ include/linux/sockios.h     2005-10-04 16:03:56.000000000 -0700
@@ -7,7 +7,7 @@
  *
  * Version:    @(#)sockios.h   1.0.2   03/09/93
  *
- * Authors:    Ross Biro, <bir7@leland.Stanford.Edu>
+ * Authors:    Ross Biro
  *             Fred N. van Kempen, <waltje@uWalt.NL.Mugnet.ORG>
  *
  *             This program is free software; you can redistribute it and/or
@@ -81,6 +81,8 @@
 #define SIOCGMIIREG    0x8948          /* Read MII PHY register.       */
 #define SIOCSMIIREG    0x8949          /* Write MII PHY register.      */

+#define SIOCWANDEV     0x894A          /* get/set netdev parameters    */
+
 /* ARP cache control calls. */
                    /*  0x8950 - 0x8952  * obsolete calls, don't re-use */
 #define SIOCDARP       0x8953          /* delete ARP table entry       */
@@ -114,6 +116,12 @@
 #define SIOCBONDINFOQUERY      0x8994  /* rtn info about bond state    */
 #define SIOCBONDCHANGEACTIVE   0x8995   /* update to a new active slave */

+/* bridge calls */
+#define SIOCBRADDBR     0x89a0         /* create new bridge device     */
+#define SIOCBRDELBR     0x89a1         /* remove bridge device         */
+#define SIOCBRADDIF    0x89a2          /* add interface to bridge      */
+#define SIOCBRDELIF    0x89a3          /* remove interface from bridge */
+
 /* Device private ioctl calls */

 /*
Comment 1 Christian Iseli 2007-01-22 05:07:05 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Till Maas 2008-01-06 16:22:53 EST
Fixed in Fedora 7

Note You need to log in before you can comment on or make changes to this bug.